/**
 * Types of backend credential vaults available
 */
type CredentialVaultBackend = 'parameter-store' | 'secrets-manager';
export declare class FailedToRetrieveCredentialValueException extends Error {
    /**
     * Mapping of available credential vaults to their service names
     */
    private static readonly vaultBackendNames;
    /**
     * Constructor
     * @param vault The backend that contains the credential
     */
    constructor(vault: CredentialVaultBackend);
}
export declare class InvalidPasswordCredentialVaultException extends Error {
    /**
     * Constructor
     */
    constructor();
}
export {};
